GET /api/v3/savings/adjustment/othersavings/category

Retrieves all available "other savings" categories

GetOtherSavingsCategoriesV3 Permissions: SavingsAdjustments (View)
Use this endpoint to get the list of categories that can be assigned to other savings adjustments (e.g., “Operational Changes”, “Equipment Upgrade”). Requires Savings Adjustments View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

OtherSavingsCategory
Property Description Type
otherSavingsCategoryId Other savings category identifier integer (int32)
otherSavingsCategoryInfo Other savings category name string
Example Response application/json
[
  {    "otherSavingsCategoryId": 1,    "otherSavingsCategoryInfo": "string"
  }
]